Subject: Re: interoperability related issues in ip over 1394

From: "Hattig, Myron" <[email-masked]>
Date: Thu, 14 Jan 1999 11:00:22 -0800

Perhaps Venkat answered your questions. Here is a shorter answer that
reinforces what Venkat said and addresses IP multicast.

- IP unicast by default uses async writes.
- IP broadcast always uses async stream with the NPM/NETWORK_CHANNEL
  identifying the channel.
- IP multicast uses async streams and MCAP to negotiate the channel number.

If for some reason it is desirable for IP unicast packets to use async
streams, then they must also use MCAP.

Isoch streams are not used by IP packets.

-myron

> -----Original Message-----
> From: Venkata Tanikella [mailto:[email-masked]]
> Sent: Thursday, January 14, 1999 9:55 AM
> To: [email-masked]
> Subject: Re: interoperability related issues in ip over 1394
>
>
> At 12:33 PM 1/14/99 -0530, BHAVESH R PATHAK wrote:
> >Dear everyone,
> >while going through the draft-ietf-ip1394-ipv4-12.txt, I got
> following
> >doubt, which could create interoperability issues between various
> >implementations.
> >
> > 1. Asynchronous-Block write,
> > 2. Isochronous-Stream packet,
> > 3. Asynchronous-Stream packet
> >
> > When we a implementation decides to send the IP unicast packet,
> > using method-2 and method-3, there is no well defined way for the
> > originator to communicate to the intended receiver about allocated
> > isochronous channel number.
>
> I haven't had a look at the draft 12, but I guess the
> following is valid;
>
>
> I think the document is clear about not specifying anythingh
> about Isoch
> Streams;
>
> For Unicast streams is not the specified way of transmission;
> one should use
> only Async Write; It's that for Unicast you use Async Write
> only; So no
> question of informing about a channel;
>
> If you are talking about the broadcast channel, there is a
> well defined way
> on how to notify that channel : NPM ;
>
> >
> > If we use some proprietary method for the communication between
> > two end-points, it can create interoperability problems between two
> > implementations.
>
> That is true if you have an Ip   over Isoch streams; But
> actually there is
> no quesdtion of interoperability, as the RFC doesn't say
> anything about it?
>
> >
> > To resolve this problem it seems to me that, there should
> be some entity
> > similar to "CAM" described in the draft-ietf-ip1394-mcap-00.txt
> >
> > If I have misunderstood something, or any thing is not clear please
> > let me know.
> >
> > with regards,
> > bhavesh
> >
> >
>
> regards,
> Venkat
>